//*************************************************************
//システム名		 コア物品／発注者
//サブシステム名 発注者
/**
 * 日時変更通知書機能
 * @author NEC
 * @version 1.0, 2002.10.13, 新規作成
 *          3.1, 2003.09.16, V3.1通知書発行形式変更対応
 */
//*************************************************************

/* HTML読込み時の初期処理 */
function onStart() {

  /*HTMLが読み込まれた際に、初期処理用関数を呼び出す*/
  onLoad();

}

//備考登録処理
function registNotice( )
{
		document.formRegist.remark.value = document.formNotice.remark.value;

    //送信フォームにXMLデータを設定する
    document.formRegist.xmlData.value = document.formRegist.targetXml.value;

		dispatch( document.formRegist, 'H6071HTS038' );
}//registNotice


//発行処理
function IssueDocument(  )
{
		submitSignedDocuments(document.formRegist,'H6072HPR004' );
}//IssueDocument


//戻る処理
function backScreen( )
{
		dispatch( document.formRegist, 'H6073HTS038' );
}//backScreen


//署名XML件数
function getSignCount() 
{
  //宛先無しXMLを一つのみ保持する為、固定で1を返却
  return 1;
}

//署名が必要なXMLを取得する
function getSource()
{
	return document.formRegist.targetXml.value;
}

//送信フォームに署名付XMLをセットする
function setDestination( signedXml )
{
	document.formRegist.xmlData.value=signedXml;
}
